#ifndef __LED_H
#define __LED_H

#ifdef __cplusplus
extern "C" {
#endif


#define LED_FREQ_ON     HAL_GPIO_WritePin(GPIOA, GPIO_PIN_5, GPIO_PIN_RESET);
  
#define LED_FREQ_OFF    HAL_GPIO_WritePin(GPIOA, GPIO_PIN_5, GPIO_PIN_SET);

#define LED_RED_OFF     HAL_GPIO_WritePin(GPIOB, GPIO_PIN_0, GPIO_PIN_SET);
  
#define LED_RED_ON      HAL_GPIO_WritePin(GPIOB, GPIO_PIN_0, GPIO_PIN_RESET);  
  
#define LED_BLUE_OFF    HAL_GPIO_WritePin(GPIOA, GPIO_PIN_7, GPIO_PIN_SET);
  
#define LED_BLUE_ON     HAL_GPIO_WritePin(GPIOA, GPIO_PIN_7, GPIO_PIN_RESET);
  
#define LED_BLUE_TOOGLE HAL_GPIO_TogglePin(GPIOA, GPIO_PIN_7);  
  
  
//
void led_init(void);

//
void led_freq_toggle(void);


//
void led_togle(void);

// Индикация нажатия курка
void led_signal_on(void);

// Индикация нажатия курка
void led_signal_off(void);

// Инфракрасный диод
void led_inf_on(void);

// Инфракрасный диод
void led_inf_off(void);

// Индикация напряжения АКБ
void led_but_on(void);

// Индикация напряжения АКБ
void led_but_toggle(void);

  
#ifdef __cplusplus
}
#endif
  
#endif